[med-svn] [mugsy] 02/02: Initial Debian packaging

Andreas Tille tille at debian.org
Mon Apr 13 18:55:13 UTC 2015


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository mugsy.

commit 1bc4beb5d5b9bb02ed6e58a0c4c4becb16eef3e2
Author: Andreas Tille <tille at debian.org>
Date:   Mon Apr 13 20:54:38 2015 +0200

    Initial Debian packaging
---
 debian/changelog         |  5 +++++
 debian/compat            |  1 +
 debian/control           | 21 +++++++++++++++++++++
 debian/copyright         | 11 +++++++++++
 debian/get-orig-source   | 44 ++++++++++++++++++++++++++++++++++++++++++++
 debian/rules             | 23 +++++++++++++++++++++++
 debian/source/format     |  1 +
 debian/upstream/metadata | 12 ++++++++++++
 debian/watch             |  5 +++++
 9 files changed, 123 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..f731860
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+mugsy (1r2.3+dfsg-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #<bug>)
+
+ -- Andreas Tille <tille at debian.org>  Mon, 13 Apr 2015 15:21:26 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..e05237c
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,21 @@
+Source: mugsy
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/mugsy.git
+Vcs-Git: git://anonscm.debian.org/debian-med/mugsy.git
+Homepage: http://mugsy.sourceforge.net/
+
+Package: mugsy
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: multiple whole genome alignment tool
+ Mugsy is a multiple whole genome aligner. Mugsy uses Nucmer for
+ pairwise alignment, a custom graph based segmentation procedure for
+ identifying collinear regions, and the segment-based progressive
+ multiple alignment strategy from Seqan::TCoffee. Mugsy accepts draft
+ genomes in the form of multi-FASTA files and does not require a
+ reference genome.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..c76e73d
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,11 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: <pkg>
+Source: <path_to_download>
+
+Files: *
+Copyright: © 20xx-20yy <upstream>
+License: <license>
+
+Files: debian/*
+Copyright: © 2014 maintainername <maintainer at e.mail>
+License: <license>
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..8d3ba11
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,44 @@
+#!/bin/sh
+# get source for mugsy from SVN because there is no source tarball distribution
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+SVNTAG=`echo ${VERSION} | sed 's/\./_/g'`
+rm -f ../${ORIGNAME}_release_${SVNTAG}
+RELEASE=${ORIGNAME}_release_${SVNTAG}
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+# svn export conserves time stamps of the files, checkout does not
+LC_ALL=C svn export svn://svn.code.sf.net/p/${NAME}/code/trunk ${TARDIR} >/dev/null 2>/dev/null
+
+cd ${TARDIR}
+rm -rf MUMmer*
+# rm -rf *seqan*
+rm -rf mugsy-seqan/projects/library/apps/mugsy/gcc/mugsy
+rm -rf mugsy-seqan/projects/library/apps/mugsy/libmaf.a
+rm -rf mugsy-seqan/projects/library/apps/seqan_tcoffee
+for seqandir in cmake demos lib extra seqan CMakeLists.txt  seqan.h ; do
+    rm -rf mugsy-seqan/projects/library/$seqandir
+done
+rm -rf mugsy-seqan/projects/tests
+for seqandir in docs misc platforms visual_studio Makefile ; do
+    rm -rf mugsy-seqan/$seqandir
+done
+rm -rf chaining/synchain-mugsy
+cd ..
+
+tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.xz "${TARDIR}"
+rm -rf "${NAME}"-"$VERSION"
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..58ec00b
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,23 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables you can
+#  include /usr/share/cdbs/1/rules/buildvars.mk
+# and use what is set there.  Any hint whether dh might set variables in
+# a similar manner are welcome.
+
+%:
+	dh $@
+
+#get-orig-source:
+#	. debian/get-orig-source
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
new file mode 100644
index 0000000..888c4d2
--- /dev/null
+++ b/debian/upstream/metadata
@@ -0,0 +1,12 @@
+Reference:
+  Author: Samuel V. Angiuoli and Steven L. Salzberg
+  Title: "Mugsy: fast multiple alignment of closely related whole genomes"
+  Journal: Bioinformatics
+  Year: 2011
+  Volume: 27
+  Number: 3
+  Pages: 334-342
+  DOI: 10.1093/bioinformatics/btq665
+  PMID: 21148543
+  URL: http://bioinformatics.oxfordjournals.org/content/27/3/334
+  eprint: http://bioinformatics.oxfordjournals.org/content/27/3/334.full.pdf+html
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..3cbbe5e
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,5 @@
+version=3
+
+opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
+http://sf.net/mugsy/mugsy_.*-v(\d[r\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
+  debian debian/get-orig-source

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/mugsy.git



More information about the debian-med-commit mailing list